> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lpagent.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get overview metrics for LP positions

> Retrieves comprehensive overview and metrics for liquidity pool positions of a specific owner



## OpenAPI

````yaml /api-reference/openapi.json get /lp-positions/overview
openapi: 3.0.0
info:
  title: LP Agent Open API
  version: 1.0.0
  description: |+
    Public API for LP Agent

    **Authentication**

    All endpoints require an API key passed via the `x-api-key` header.

servers:
  - url: https://api.lpagent.io/open-api/v1
    description: Production
security:
  - apiKeyAuth: []
tags: []
paths:
  /lp-positions/overview:
    get:
      tags:
        - Positions
      summary: Get overview metrics for LP positions
      description: >-
        Retrieves comprehensive overview and metrics for liquidity pool
        positions of a specific owner
      parameters:
        - in: query
          name: owner
          required: true
          schema:
            type: string
          description: Wallet address of the position owner
          example: 9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM
        - in: query
          name: protocol
          schema:
            type: string
            default: meteora
          description: Protocol to filter by (e.g., meteora, orca)
      responses:
        '200':
          description: Successfully retrieved overview data
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    type: object
                    properties:
                      owner:
                        type: string
                        description: Wallet address of the owner
                        example: DMQ7mJ8DTXYLoc1g1NpSv7jtDdaCzsLUdzvvY8MA4hbX
                      chain:
                        type: string
                        description: Blockchain chain (e.g., SOL)
                        example: SOL
                      protocol:
                        type: string
                        description: Protocol name (e.g., meteora, orca)
                        example: meteora
                      total_inflow:
                        type: number
                        description: Total inflow amount
                        example: 1586491.3551108437
                      avg_inflow:
                        type: object
                        description: Average inflow with time ranges
                        properties:
                          ALL:
                            type: number
                            example: 1233.6635731810604
                          7D:
                            type: number
                            example: 1009.8441703184694
                          1M:
                            type: number
                            example: 1895.4839197467682
                          3M:
                            type: number
                            example: 1243.036011296495
                          1Y:
                            type: number
                            example: 1233.66357318106
                          YTD:
                            type: number
                            example: 1233.66357318106
                      total_outflow:
                        type: number
                        description: Total outflow amount
                        example: 1578323.345425783
                      total_fee:
                        type: object
                        description: Total fees with time ranges
                        properties:
                          ALL:
                            type: number
                            example: 12516.614685851924
                          7D:
                            type: number
                            example: 4.262212981880845
                          1M:
                            type: number
                            example: 7404.187815729953
                          3M:
                            type: number
                            example: 12498.147067807171
                          1Y:
                            type: number
                            example: 12516.614685851926
                          YTD:
                            type: number
                            example: 12516.614685851926
                      total_reward:
                        type: number
                        description: Total rewards earned
                        example: 0
                      total_pnl:
                        type: object
                        description: Total profit and loss with time ranges
                        properties:
                          ALL:
                            type: number
                            example: 4323.2505549474245
                          7D:
                            type: number
                            example: -85.02276020207705
                          1M:
                            type: number
                            example: 3502.31375643287
                          3M:
                            type: number
                            example: 4315.87760395399
                          1Y:
                            type: number
                            example: 4323.250554947427
                          YTD:
                            type: number
                            example: 4323.250554947427
                      total_inflow_native:
                        type: number
                        description: Total inflow in native token
                        example: 10585.562828397458
                      avg_inflow_native:
                        type: object
                        description: Average inflow in native token with time ranges
                        properties:
                          ALL:
                            type: number
                            example: 8.231386336234415
                          7D:
                            type: number
                            example: 5.388384469621412
                          1M:
                            type: number
                            example: 12.475841877745875
                          3M:
                            type: number
                            example: 8.29392670708921
                          1Y:
                            type: number
                            example: 8.231386336234413
                          YTD:
                            type: number
                            example: 8.231386336234413
                      total_outflow_native:
                        type: number
                        description: Total outflow in native token
                        example: 10529.299449727307
                      total_fee_native:
                        type: object
                        description: Total fees in native token with time ranges
                        properties:
                          ALL:
                            type: number
                            example: 83.4853120103325
                          7D:
                            type: number
                            example: 0.022746553186898555
                          1M:
                            type: number
                            example: 48.820621387493105
                          3M:
                            type: number
                            example: 83.36295390095411
                          1Y:
                            type: number
                            example: 83.48531201033254
                          YTD:
                            type: number
                            example: 83.48531201033254
                      total_reward_native:
                        type: number
                        description: Total rewards in native token
                        example: 0
                      total_pnl_native:
                        type: object
                        description: Total PnL in native token with time ranges
                        properties:
                          ALL:
                            type: number
                            example: 8.756756271321922
                          7D:
                            type: number
                            example: -0.02289659499999974
                          1M:
                            type: number
                            example: 11.766254518455375
                          3M:
                            type: number
                            example: 8.70741865915985
                          1Y:
                            type: number
                            example: 8.756756271321928
                          YTD:
                            type: number
                            example: 8.756756271321928
                      avg_age_hour:
                        type: number
                        description: Average position age in hours
                        example: 2.1423017107309485
                      total_lp:
                        type: string
                        description: Total number of LP positions
                        example: '1294'
                      win_lp:
                        type: string
                        description: Number of winning LP positions
                        example: '403'
                      win_lp_native:
                        type: string
                        description: Number of winning LP positions in native token
                        example: '229'
                      closed_lp:
                        type: object
                        description: Closed LP positions with time ranges
                        properties:
                          ALL:
                            type: string
                            example: '1286'
                          7D:
                            type: integer
                            example: 13
                          1M:
                            type: integer
                            example: 515
                          3M:
                            type: integer
                            example: 1276
                          1Y:
                            type: integer
                            example: 1286
                          YTD:
                            type: integer
                            example: 1286
                      opening_lp:
                        type: string
                        description: Number of opening LP positions
                        example: '8'
                      total_pool:
                        type: string
                        description: Total number of pools
                        example: '188'
                      win_rate:
                        type: object
                        description: Win rate with time ranges
                        properties:
                          ALL:
                            type: number
                            example: 0.533068783068783
                          7D:
                            type: number
                            example: 0.16666666666666666
                          1M:
                            type: number
                            example: 0.5786163522012578
                          3M:
                            type: number
                            example: 0.5327102803738317
                          1Y:
                            type: number
                            example: 0.533068783068783
                          YTD:
                            type: number
                            example: 0.533068783068783
                      win_rate_native:
                        type: object
                        description: Win rate in native token with time ranges
                        properties:
                          ALL:
                            type: number
                            example: 0.6835820895522388
                          7D:
                            type: number
                            example: 0
                          1M:
                            type: number
                            example: 0.6942675159235668
                          3M:
                            type: number
                            example: 0.6848484848484848
                          1Y:
                            type: number
                            example: 0.6835820895522388
                          YTD:
                            type: number
                            example: 0.6835820895522388
                      expected_value:
                        type: object
                        description: Expected value with time ranges
                        properties:
                          ALL:
                            type: number
                            example: 5.718585390142092
                          7D:
                            type: number
                            example: -14.17046003367951
                          1M:
                            type: number
                            example: 11.013565271801475
                          3M:
                            type: number
                            example: 5.762186387121481
                          1Y:
                            type: number
                            example: 5.7185853901420955
                          YTD:
                            type: number
                            example: 5.7185853901420955
                      expected_value_native:
                        type: object
                        description: Expected value in native token with time ranges
                        properties:
                          ALL:
                            type: number
                            example: 0.026139570959169856
                          7D:
                            type: number
                            example: -0.02289659499999974
                          1M:
                            type: number
                            example: 0.07494429629589411
                          3M:
                            type: number
                            example: 0.026386117148969213
                          1Y:
                            type: number
                            example: 0.02613957095916991
                          YTD:
                            type: number
                            example: 0.02613957095916991
                      fee_percent:
                        type: number
                        description: Fee percentage
                        example: 0.007889494415163342
                      fee_percent_native:
                        type: number
                        description: Fee percentage in native token
                        example: 0.0078867145152046
                      apr:
                        type: number
                        description: Annual percentage rate
                        example: 17678030.44344193
                      roi:
                        type: number
                        description: Return on investment
                        example: 0.0027250388355538006
                      roi_avg_inflow:
                        type: number
                        description: ROI based on average inflow
                        example: 0.004635449659420882
                      roi_avg_inflow_native:
                        type: number
                        description: ROI based on average inflow in native token
                        example: 0.0031755976322122067
                      first_activity:
                        type: string
                        description: First activity timestamp
                        example: '2025-04-25 01:37:08.000'
                      last_activity:
                        type: string
                        description: Last activity timestamp
                        example: '2025-07-30 16:03:45.000'
                      avg_pos_profit:
                        type: number
                        description: Average position profit
                        example: 5.7185853901420955
                      avg_pos_profit_native:
                        type: number
                        description: Average position profit in native token
                        example: 0.026139570959169918
                      avg_monthly_profit_percent:
                        type: number
                        description: Average monthly profit percentage
                        example: 0.004306823066304065
                      avg_monthly_pnl:
                        type: number
                        description: Average monthly PnL
                        example: 1080.8126387368566
                      avg_monthly_inflow:
                        type: number
                        description: Average monthly inflow
                        example: 396622.8387777108
                      avg_monthly_profit_percent_native:
                        type: number
                        description: Average monthly profit percentage in native token
                        example: 0.005537899372724309
                      avg_monthly_pnl_native:
                        type: number
                        description: Average monthly PnL in native token
                        example: 2.1891890678304833
                      avg_monthly_inflow_native:
                        type: number
                        description: Average monthly inflow in native token
                        example: 2646.390707099365
                      updated_at:
                        type: string
                        description: Last update timestamp
                        example: '2025-07-30 17:02:36'
        '400':
          description: Bad request - owner parameter is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: owner is required
        '404':
          description: Owner overview not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Owner overview not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````